Bug 1273685 - JBDS8.1.0: An error icon is shown for XOR Diverging/Converging gateway
JBDS8.1.0: An error icon is shown for XOR Diverging/Converging gateway
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 22:04 EDT by Hiroko Miura
Modified: 2016-01-18 07:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
problematic business process (10.41 KB, application/xml)
2015-10-20 22:04 EDT, Hiroko Miura
no flags Details
snapshot of problematic business process (302.04 KB, image/png)
2015-10-20 22:06 EDT, Hiroko Miura
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2091511 None None None 2015-12-16 06:17 EST

  None (edit)
Description Hiroko Miura 2015-10-20 22:04:18 EDT
Created attachment 1084951 [details]
problematic business process

Description of problem:

With the attached business process,  red *error* icon is shown
for XOR Conversing/Diversing gateway with the following warning.

- 1st XOR Conversing Gateway
ExclusiveGateway should have only one incoming Sequence Flow

- 2nd XOR Diversing Gateway
ExclusiveGateway should have only one outgoing Sequence Flow

I attached screen shot which shows 2 business process ("sample" and "process_1")
As you can confirm,  sequence flows are configured correctly for each XOR gateway respectively, so this warning looks incorrect. 
In addition, red *error* icon is shown even though it's *warning*.


Version-Release number of selected component (if applicable):

JBDS8.1.0 with the latest integration pack(8.0.3)


How reproducible:

Problematic business process is attached to this bug.


Steps to Reproduce:
1. import attached business process.
2.
3.

Actual results:

warning message is shown with showing error icon.


Expected results:

no warning/error is shown

Additional info:

more strange thing is, as you can see attached business process, if the set of process(like "sample" in screen shot) gets copied under it, error icon is not shown for copied process. Further more, after that, if the first set of process is deleted, error icon will be appear in copied business process.
Comment 2 Hiroko Miura 2015-10-20 22:06 EDT
Created attachment 1084952 [details]
snapshot of problematic business process
Comment 5 Robert (Bob) Brodt 2015-10-22 13:50:37 EDT
It looks like this was fixed (possibly with https://bugzilla.redhat.com/show_bug.cgi?id=1200000 ?) Please retest with the latest version here:

http://download.eclipse.org/bpmn2-modeler/updates/luna/1.1.4/
Comment 8 Jozef Marko 2016-01-18 07:58:28 EST
Verified on jbdsis-8.0.5, BPMN2 modeler 1.1.4.Final

Note You need to log in before you can comment on or make changes to this bug.